Timekit developers

POST /findtime/team

Find time in a team independent of each members availability

Team availability will produce an array of available timeslots, where any of the team members are available. Each timeslot will contain an array of the team-members that are available in the given period.

This is helpful when you have a team, where it is not important which member is available, just that someone is. For example if you have a tech-support team, where it doesn't matter who handles an incoming issue, just that someone in the team does.

For filter documentation, please see http://developers.timekit.io/docs/findtime

Endpoint

POST https://api.timekit.io/v2/findtime/team

Parameters

Name In Type Required Default Description
start body string yes When should we start looking for available time? Written is human language, eg. 1 day, tomorrow, 2 weeks
future body string yes How long into the future should we look for mutual availability (max 6 months)
length body string yes How long should the availability be?
all_solutions body boolean Return all overlapping timeslots? (see note)
ignore_all_day_events body boolean Do you want to ignore all day event in this query?
resources body array_object yes An array of team members(resource_ids) with individual filters.

Request examples

json
{
  	"start": "2 days",
    "future": "2 weeks",
   	"length": "1 hour",
  	"resources": [
      {
          "resource_ids": [
              "fca27950-1be8-41e2-951c-a43a61d45d43"
          ],
          "filters": {
              "or": [
                  { "specific_day": {"day": "Monday"} }
              ]
          }
      },
      {
          "resource_ids": [
              "bfa0b9fa-36aa-4ae6-8096-f3b20fbed1d2"
          ],
          "filters": {
              "or": [
                  { "specific_day": {"day": "Tuesday"} }
              ]
          }
      }
	]
}

Response examples

200

json
[
    {
        "start": "2016-02-15T09:30:00+0000",
        "end": "2016-02-15T10:30:00+0000",
        "resources": [
            {
                "resource_id": "bfa0b9fa-36aa-4ae6-8096-f3b20fbed1d2",
                "calendar_ids": [
                    "f68979ff-27da-4afd-8d0c-847f9340331b"
                ],
                "email": "marty.mcfly@timekit.io",
                "token": "nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW"
            }
        ]
    },
    {
        "start": "2016-02-15T10:30:00+0000",
        "end": "2016-02-15T11:30:00+0000",
        "resources": [
            {
                "resource_id": "fca27950-1be8-41e2-951c-a43a61d45d43",
                "calendar_ids": [
                    "c91c5d04-2a57-46c0-ab35-e489dadf132e"
                ],
                "email": "doc.brown@timekit.io",
                "token": "UZpl3v3PTP1PRwqIrU0DSVpbJkNKl5gN"
            },
            {
                "resource_id": "bfa0b9fa-36aa-4ae6-8096-f3b20fbed1d2",
                "calendar_ids": [
                    "f68979ff-27da-4afd-8d0c-847f9340331b"
                ],
                "email": "marty.mcfly@timekit.io",
                "token": "nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW"
            }
        ]
    }
]